var System=require("../../system");
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');

class TmkCtl extends CtlBase{
    constructor(){
        super(CtlBase.getServiceName(TmkCtl));
        this.WebDataApi=System.getObject("api.tmkApi");
        this.service=System.getObject("service.tmkSve");
    }

    async addCollect(req){
        var result = await this.service.insertCollect(req);
        if (result ==null && result ==0){
            return{code:-1,msg:"收藏失败！"}
        }
        return{code:1,msg:"OK"}
    }



    // async getCompanyData(obj,req){
    //     var appkey = req.session.app.appid;
    //         var data = {
    //             "appKey":appkey,
    //             "applicantCn":obj.cname,
    //             "pageSize":obj.ps,
    //             "currentPage":obj.cp
    //         };
    //     var result={rows:[],count:0};
    //     var sources=[];
    //     var that=this;
    //     var tms =await this.WebDataApi.tmSearch(data);
    //     return tms;
    // }
    // async getCompanyData(obj,req){
    //     var appkey = req.session.app.appid;
    //     var data = {
    //       appKey:appkey,
    //       pagesize:1,
    //       page:0,
    //       companyName:obj.companyName,
    //     };
    //     var company = await this.WebDataApi.companyData(data);
    //     if (company.status==0 && company.data.totalSize>0){
    //         return company.data.list[0];
    //     } else {
    //         return {};
    //     }
    //
    //
    //
    //     try {
    //         var name = obj.name;
    //         if (name==null ||name ==""){
    //             return{code:-100,msg:"查询内容不能为空",data:null}
    //         }
    //         var result = await this.service.getOrderDetail(name);
    //         return  {code:1,msg:"ok",data:result}
    //     }catch (e) {
    //         return {code:-200,msg:"操作异常",data:null}
    //     }
    // }
    //
    // async findByname(obj,req){
    //     var name = obj.name;
    //     return this.service.findByname(name);
    // }
}

module.exports = TmkCtl;
